IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_PERSHO')
CREATE TABLE T_SFC_PERSHO (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FHANDOVERSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHANDOVERTIME DATETIME,
FHOPERSMOBILE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECEIVEDBYID BIGINT DEFAULT 0 NOT NULL,
FFORWARDTOID BIGINT DEFAULT 0 NOT NULL,
FHANDOVERPERSONID BIGINT DEFAULT 0 NOT NULL
);

EXEC P_ALTERPK 'PK_T_SFC_PERSHO', 'T_SFC_PERSHO', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SFC_PERSHO') CREATE INDEX IDX_T_SFC_PERSHO ON T_SFC_PERSHO ( FBILLNO ,FCREATORID );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_PERSHO_ENTRY')
CREATE TABLE T_SFC_PERSHO_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNOTICE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTASKNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDAILYPLANID BIGINT DEFAULT 0 NOT NULL,
FSCHEDULETIME DATETIME,
FBEGINTIME DATETIME,
FENDTIME DATETIME,
FDAILYPLANBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDAILYPLANENTRYID BIGINT DEFAULT 0 NOT NULL
);

EXEC P_ALTERPK 'PK_T_SFC_PERSHO_ENTRY', 'T_SFC_PERSHO_ENTRY', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SFC_PERSHO_ENTRY') CREATE INDEX IDX_T_SFC_PERSHO_ENTRY ON T_SFC_PERSHO_ENTRY ( FID ,FSEQ );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_PERSHO_ENTRY_L')
CREATE TABLE T_SFC_PERSHO_ENTRY_L (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNOTICE NVARCHAR(255) DEFAULT ' ' NOT NULL
);

EXEC P_ALTERPK 'PK_T_SFC_PERSHO_ENTRY_L', 'T_SFC_PERSHO_ENTRY_L', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SFC_PERSHO_ENTRY_L') CREATE INDEX IDX_T_SFC_PERSHO_ENTRY_L ON T_SFC_PERSHO_ENTRY_L ( FENTRYID ,FLOCALEID );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_PERSHO_ENTRY_LK')
CREATE TABLE T_SFC_PERSHO_ENTRY_LK (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);

EXEC P_ALTERPK 'PK_T_SFC_PERSHO_ENTRY_LK', 'T_SFC_PERSHO_ENTRY_LK', 'FPKID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SFC_PERSHO_ENTRY_LK') CREATE INDEX IDX_T_SFC_PERSHO_ENTRY_LK ON T_SFC_PERSHO_ENTRY_LK ( FENTRYID );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_PERSHO_TC')
CREATE TABLE T_SFC_PERSHO_TC (
FID BIGINT DEFAULT 0 NOT NULL,
FTBILLID BIGINT DEFAULT 0 NOT NULL,
FTTABLEID BIGINT DEFAULT 0 NOT NULL,
FTID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL
);

EXEC P_ALTERPK 'PK_T_SFC_PERSHO_TC', 'T_SFC_PERSHO_TC', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SFC_PERSHO_TC') CREATE INDEX IDX_T_SFC_PERSHO_TC ON T_SFC_PERSHO_TC ( FSBILLID );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_PERSHO_WB')
CREATE TABLE T_SFC_PERSHO_WB (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRULEVERID BIGINT DEFAULT 0 NOT NULL,
FRULEITEMID BIGINT DEFAULT 0 NOT NULL,
FOPERATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTABLEID BIGINT DEFAULT 0 NOT NULL,
FSID BIGINT DEFAULT 0 NOT NULL,
FSBILLID BIGINT DEFAULT 0 NOT NULL,
FWRITEVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL
);

EXEC P_ALTERPK 'PK_T_SFC_PERSHO_WB', 'T_SFC_PERSHO_WB', 'FENTRYID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_SFC_PERSHO_WB') CREATE INDEX IDX_T_SFC_PERSHO_WB ON T_SFC_PERSHO_WB ( FID );